package domain

type AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   参加当前活动的商品总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   页面大小     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   参加活动的特价商品详情列表     */
	SkuList *[]AlibabaWdkMarketingItemdiscountQueryitemsItemDiscountSku `json:"sku_list,omitempty" `

	/*
	   当前分页     */
	Current *int64 `json:"current,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `

	/*
	   查询特价商品是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult) SetMessage(v string) *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult) SetTotal(v int64) *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult) SetPageSize(v int64) *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult) SetErrorCode(v string) *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult) SetSkuList(v []AlibabaWdkMarketingItemdiscountQueryitemsItemDiscountSku) *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult {
	s.SkuList = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult) SetCurrent(v int64) *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult) SetTotalPage(v int64) *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult {
	s.TotalPage = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult) SetSuccess(v bool) *AlibabaWdkMarketingItemdiscountQueryitemsMarketPageResult {
	s.Success = &v
	return s
}
